/*******************************************************************************
*
* File:          test_cfg_global.h
* Description：  测试用例全局配置头文件
* Version：      V0.1
* Date：         2021-05-01
* Author：       kevin
 *******************************************************************************/

#ifndef __TEST_GLOBAL_CONFIG_H__
#define __TEST_GLOBAL_CONFIG_H__
/*******************************************************************************
* 1.Included files
*******************************************************************************/

/*******************************************************************************
* 2.Global constant and macro definitions using #define
*******************************************************************************/
/* 模块demo 宏定义 */
#define _DEMO_TIMER_EN              0
#define _DEMO_DSI_TX_EN             0
#define _DEMO_DSI_RX_EN             0
#define _DEMO_PWM_EN                0
#define _DEMO_SWIRE_EN              0
#define _DEMO_WDG_EN                0
#define _DEMO_GPIO_EN               0
#define _DEMO_I2C_EN                0
#define _DEMO_SPI_EN                0
/* ap demo 宏定义 */
#define _DEMO_S8_EN                 0
#define _DEMO_S8P_EN                0
#define _DEMO_S9_EN                 0
#define _DEMO_MI8SE_EN      		1


#if _DEMO_TIMER_EN
    #include "demo_hal_timer.h"
#endif

#if _DEMO_I2C_EN
    #include "demo_hal_i2c.h"
#endif

#if _DEMO_SPI_EN
    #include "demo_hal_spi.h"
#endif

#if _DEMO_DSI_TX_EN
    #include "demo_hal_dsi_tx.h"
#endif

#if _DEMO_DSI_RX_EN
    #include "demo_hal_dsi_rx.h"
#endif

#if _DEMO_PWM_EN
    #include "demo_hal_pwm.h"
#endif

#if _DEMO_SWIRE_EN
    #include "demo_hal_swire.h"
#endif

#if _DEMO_WDG_EN
    #include "demo_hal_wdg.h"
#endif

#if _DEMO_GPIO_EN
    #include "demo_hal_gpio.h"
#endif

#if _DEMO_I2C_TP_EN
    #include "demo_hal_i2c_tp.h"
#endif

#if _DEMO_S8_EN
    #include "s8_demo.h"
    #include "app_tp_for_custom_s8.h"
#endif

#if _DEMO_S8P_EN
    #include "s8p_demo.h"
    #include "app_tp_for_custom_s8p.h"
#endif

#if _DEMO_S9_EN
    #include "s9_demo.h"
    #include "app_tp_for_custom_s9.h"
#endif

#if _DEMO_MI8SE_EN
    #include "ap_demo.h"
		#include "app_tp_for_custom_mi8se.h"
//    #include "app_tp_for_custom_s9.h"
#endif



#endif

